import { ComponentInterface } from '../../../stencil-public-runtime';
/**
 * @internal
 */
export declare class DocApp implements ComponentInterface {
    logComponents: string;
    logLifecycle: boolean;
    logEvents: boolean;
    logRender: boolean;
    logCustom: boolean;
    stickyFooter: boolean;
    region?: string;
    language?: string;
    /**
     * Disables all animation inside the bal-app. Can be used for simplify e2e testing.
     */
    animated: boolean;
    connectedCallback(): void;
    componentDidRender(): void;
    render(): any;
}
